apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ .Values.k8sPrefix }}-{{ .Values.k8sName }}-{{ .Values.k8sEnvironment}}"
  namespace: "{{ .Values.k8sNamespace }}"
  labels:
    app: "{{ .Values.k8sName }}"
    environment: "{{ .Values.k8sEnvironment }}"
spec:
  selector:
    matchLabels:
      app: "{{ .Values.k8sName }}"
      environment: "{{ .Values.k8sEnvironment }}"
  replicas: {{ .Values.k8sReplicas }}
  template:
    metadata:
      labels:
        app: "{{ .Values.k8sName }}"
        environment: "{{ .Values.k8sEnvironment }}"
        logging: "{{ .Values.k8sLogging }}"
    spec:
       #serviceAccountName: "{{ .Values.k8sName }}-{{ .Values.k8sEnvironment}}-service-account"
      containers:
        - name: "{{ .Values.k8sName }}-{{ .Values.k8sEnvironment}}-container"
          image: "{{ .Values.registry }}/{{ .Values.image }}_{{ .Values.k8sEnvironment }}:{{ .Values.tag }}"
          ports:
            - containerPort: 80
              name: http
              protocol: TCP
          imagePullPolicy: Always
          resources:
            requests:
              cpu: "{{ .Values.k8sRequestsCpu }}"
              memory: "{{ .Values.k8sRequestsMemory }}"
            limits:
              cpu: "{{ .Values.k8sLimitsCpu }}"
              memory: "{{ .Values.k8sLimitsMemory }}"
